## org.hibernate.metamodel.source.annotations.entity
Class EmbeddableHierarchy

    java.lang.Object
      org.hibernate.metamodel.source.annotations.entity.EmbeddableHierarchy

All Implemented Interfaces:
  Iterable<EmbeddableClass>

    public class EmbeddableHierarchy

extends Object
implements Iterable<EmbeddableClass>

Contains information about the access and inheritance type for all classes within a class hierarchy.

Method Summary
`static EmbeddableHierarchy` `createEmbeddableHierarchy(Class<?> embeddableClass, String propertyName, AccessType accessType, AnnotationBindingContext context)` Builds the configured class hierarchy for a an embeddable class.
`AccessType` `getDefaultAccessType()`
`EmbeddableClass` `getLeaf()`
`Iterator<EmbeddableClass>` `iterator()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createEmbeddableHierarchy

    public static EmbeddableHierarchy createEmbeddableHierarchy(Class<?> embeddableClass,
                                                                String propertyName,
                                                                AccessType accessType,
                                                                AnnotationBindingContext context)

  Builds the configured class hierarchy for a an embeddable class.

  Parameters:
    `embeddableClass` - the top level embedded class
    `propertyName` - the name of the property in the entity class embedding this embeddable
    `accessType` - the access type inherited from the class in which the embeddable gets embedded
    `context` - the annotation binding context with access to the service registry and the annotation index
  Returns:
    a set of `ConfiguredClassHierarchy`s. One for each "leaf" entity.

### getDefaultAccessType

    public AccessType getDefaultAccessType()

### iterator

    public Iterator<EmbeddableClass> iterator()

  Specified by:
    `iterator` in interface `Iterable<EmbeddableClass>`
  Returns:
    An iterator iterating in top down manner over the configured classes in this hierarchy.

### getLeaf

    public EmbeddableClass getLeaf()

  Returns:
    Returns the leaf configured class

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.